<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <title>Productos</title>
    </h:head>
    <h:body>
        <ui:composition template="./main.xhtml">
            <ui:define name="content">


                <p:fieldset legend="Productos" styleClass="container">
                    <p:outputPanel class="ui-grid ui-grid-responsive">

                        <div class="ui-grid-col-9">
                            <h:form id="formProductos">
                                <p:growl id="msj" />

                                <h:panelGrid styleClass="card">
                                    <f:facet name="header">
                                        <h3>Realizar Pedido</h3>
                                    </f:facet>
                                    <h:panelGrid columns="6" cellpadding="4" cellspacing="4" styleClass="grids">
                                        <p:outputLabel value="Nombre" />
                                        <p:inputText value="#{productosBean.prod.nombre}"
                                                     disabled="#{productoBean.prod.id != 0}" />

                                        <p:outputLabel value="Descripción" />
                                        <p:inputText value="#{productosBean.prod.descripcion}"
                                                     disabled="#{productoBean.prod.id != 0}" />

                                        <p:outputLabel value="Precio" />
                                        <p:inputText value="#{productosBean.prod.precio}" />

                                        <h:outputText value="Categoría" />
                                        <p:selectOneMenu value="#{productosBean.categoria}"
                                                         disabled="#{productoBean.prod.id != 0}">
                                            <f:selectItems value="#{productosBean.listaCat}" var="c"
                                                           itemLabel="#{c.categoria}" itemValue="#{c.idcat}" />
                                        </p:selectOneMenu>

                                        <h:outputText value="Modelo" />
                                        <p:selectOneMenu value="#{productosBean.modelo}"
                                                         disabled="#{productoBean.prod.id != 0}">
                                            <f:selectItems value="#{productosBean.listaMod}" var="m"
                                                           itemLabel="#{m.modelo}" itemValue="#{m.idproduct}" />
                                        </p:selectOneMenu>

                                        <h:outputText value="Nombre" />
                                        <p:inputText value="#{productosBean.prod.nombre}"
                                                     disabled="#{productoBean.prod.id != 0}" />

                                        <h:outputText value="Stock" />
                                        <p:inputText value="#{productosBean.prod.stock}"
                                                     disabled="#{productoBean.prod.id != 0}" />

                                        <p:outputLabel value="Pedido" />
                                        <p:inputText value="#{productosBean.nuevoStock}" />
                                    </h:panelGrid>
                                    <h:panelGrid columns="4" cellpadding="2" cellspacing="2" styleClass="grids2">
                                        <p:splitButton  value="Ingresar"  actionListener="#{productosBean.nuevoPedido()}" update="tablaProductos,formProductos,formProductos" icon="pi pi-save">
                                            <p:menuitem  value="Cancelar" actionListener="#{productosBean.init()}" update=":tablaProductos,formProductos,:formProductos:msj" icon="pi pi-times"/>
                                        </p:splitButton>  
                                    </h:panelGrid>
                                </h:panelGrid>
                            </h:form>

                            <h:form id="formMovimientos"> 
                                <h:panelGrid styleClass="card">
                                    <f:facet name="header">
                                        <h3>Movimientos</h3>
                                    </f:facet>
                                    <h:panelGrid columns="6" cellpadding="4" cellspacing="4" styleClass="grids">
                                        <p:outputLabel value="Sucursal" />
                                        <p:selectOneMenu value="#{transaccionBean.sucursal}"  filter="true" filterMatchMode="startsWith">
                                            <f:selectItems value="#{transaccionBean.listaSuc}" var="s" itemLabel="#{s.nombre}" itemValue="#{s.idsucursal}"/>
                                        </p:selectOneMenu>
                                        <p:outputLabel value="Producto" />
                                        <p:selectOneMenu value="#{transaccionBean.productos}"  filter="true" filterMatchMode="startsWith">
                                            <f:selectItems value="#{transaccionBean.listaProd}" var="p" itemLabel="#{p.nombre}" itemValue="#{p.idproduct}"/>
                                        </p:selectOneMenu>
                                        <p:outputLabel value="Tipo de Movimiento" />
                                        <p:selectOneMenu value="#{transaccionBean.tipoMovimiento}">
                                            <f:selectItems value="#{transaccionBean.listaTipoMov}" var="t" itemLabel="#{t.tipo}" itemValue="#{t.idtmov}"/>
                                        </p:selectOneMenu>
                                    </h:panelGrid>
                                    <h:panelGrid columns="4" cellpadding="2" cellspacing="2" styleClass="grids2">
                                        <p:commandButton style="top:6px; margin:5px;" icon="pi pi-search" value="Buscar" actionListener="#{transaccionBean.findProd()}"  onclick="PF('tablaMov').show();" update="formMovimientos:tm"/>
                                    </h:panelGrid>

                                    <!-- / Tabla Movimientos -->
                                    <p:dialog header="Detalles de los Movimientos" widgetVar="tablaMov">
                                        <p:dataTable id="tm" value="#{transaccionBean.listaMov}" var="m"  reflow="true" paginator="true" rows="5" >
                                            <p:column headerText="Fecha">
                                                <h:outputText value="#{m.fecha}" />
                                            </p:column>
                                            <p:column headerText="Sucursal">
                                                <h:outputText value="#{m.sucursal.nombre}" />
                                            </p:column>
                                            <p:column headerText="Producto">
                                                <h:outputText value="#{m.productos.nombre}" />
                                            </p:column>
                                            <p:column headerText="Tipo Movimiento">
                                                <h:outputText value="#{m.tiposMovimientos.tipo}" />
                                            </p:column>
                                            <p:column headerText="Cantidad">
                                                <h:outputText value="#{m.cantidad}" />
                                            </p:column>
                                            <p:column headerText="Stock">
                                                <h:outputText value="#{m.stock}" />
                                            </p:column>
                                        </p:dataTable>
                                    </p:dialog> 

                                </h:panelGrid>
                            </h:form>
                        </div>


                        <div class="ui-grid-col-3">
                            <h:form id="formPagos">
                                <p:growl id="msj" />

                                <h:panelGrid styleClass="card" style="width:61.5%; padding-bottom:44%;" >
                                    <f:facet name="header">
                                        <h3>Detalles Producto</h3>
                                    </f:facet>
                                    <h:panelGrid columns="2"  cellpadding="4" cellspacing="4" styleClass="grids">
                                        <h:form>
                                            <p:commandButton style="top:6px; margin:5px;" icon="pi pi-list" value="Producto" onclick="PF('tablaPedido').show();"/>
                                        </h:form>

                                    </h:panelGrid>
                                </h:panelGrid>
                            </h:form>


                            <!-- / Tabla Productos -->
                            <p:dialog header="Detalles del Pedido de Productos" widgetVar="tablaPedido">
                                <h:form id="tablaProductos">
                                    <p:dataTable value="#{productosBean.listaProd}" var="p"  reflow="true" paginator="true" rows="5" >
                                        <p:column headerText="Id" rendered="false">
                                            <h:outputText value="#{p.idproduct}" />
                                        </p:column>
                                        <p:column headerText="Categoría">
                                            <h:outputText value="#{p.categorias.categoria}" />
                                        </p:column>
                                        <p:column headerText="Modelo">
                                            <h:outputText value="#{p.modelos.modelo}" />
                                        </p:column>
                                        <p:column headerText="Nombre">
                                            <h:outputText value="#{p.nombre}" />
                                        </p:column>
                                        <p:column headerText="Stock">
                                            <h:outputText value="#{p.stock}" />
                                        </p:column>

                                        <p:column headerText="Descripción">
                                            <h:outputText value="#{p.descripcion}" />
                                        </p:column>
                                        <p:column headerText="Acciones">
                                            <p:commandButton style="display:block; margin:auto;" icon="fa fa-check-square" value="Seleccione" actionListener="#{productosBean.cargarProd(p)}" update=":formProductos" />
                                        </p:column>
                                    </p:dataTable>
                                </h:form>
                            </p:dialog> 
                        </div>
                    </p:outputPanel>
                </p:fieldset>

                <ui:include src="/footer.xhtml" />
            </ui:define>
        </ui:composition>
    </h:body>
</html>


